graphics/libgii - The NetBSD Packages Collection

General Input Interface - API for all possible input sources

LibGII (General Input Interface) is intended to be to input what
our LibGGI (General Graphics Interface) library is to graphics.

LibGII is based on the concept of input streams, which virtualize
access to the underlying input drivers. Events from various input
devices are abstracted into easy-to-use structures. LibGII also
allows the application to join streams together, receiving input
from an arbitrary combination of devices. LibGII is a separate
component from LibGGI, although LibGGI depends on LibGII for input
purposes.

The main purpose of this LibGII release is to accompany our LibGGI
release, but you're still very welcome to use LibGII as a standalone
library for your non-LibGGI applications. Also you might be
interrested in the mhub utility found in the demos directory. mhub
is a mouse event repeater and converter. See mhub(1) and the
libgii(7) and input-(7) manual pages for more info.

Build dependencies

pkgtools/x11-links pkgtools/cwrappers devel/libtool-base

Runtime dependencies

(none)

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hflibgii-1.0.2nb1.tgz
NetBSD 8.0earmv7hflibgii-1.0.2nb1.tgz
NetBSD 8.0earmv7hflibgii-1.0.2nb1.tgz
NetBSD 8.0i386libgii-1.0.2nb1.tgz
NetBSD 8.0i386libgii-1.0.2nb1.tgz
NetBSD 8.0i386libgii-1.0.2nb1.tgz
NetBSD 8.0powerpclibgii-1.0.2nb1.tgz
NetBSD 8.0powerpclibgii-1.0.2nb1.tgz
NetBSD 8.0powerpclibgii-1.0.2nb1.tgz
NetBSD 8.0x86_64libgii-1.0.2nb1.tgz
NetBSD 8.0x86_64libgii-1.0.2nb1.tgz
NetBSD 9.0aarch64libgii-1.0.2nb1.tgz
NetBSD 9.0aarch64libgii-1.0.2nb1.tgz
NetBSD 9.0aarch64libgii-1.0.2nb1.tgz
NetBSD 9.0alphalibgii-1.0.2nb1.tgz
NetBSD 9.0alphalibgii-1.0.2nb1.tgz
NetBSD 9.0alphalibgii-1.0.2nb1.tgz
NetBSD 9.0earmlibgii-1.0.2nb1.tgz
NetBSD 9.0earmlibgii-1.0.2nb1.tgz
NetBSD 9.0earmv6hflibgii-1.0.2nb1.tgz
NetBSD 9.0earmv6hflibgii-1.0.2nb1.tgz
NetBSD 9.0earmv6hflibgii-1.0.2nb1.tgz
NetBSD 9.0earmv6hflibgii-1.0.2nb1.tgz
NetBSD 9.0earmv7hflibgii-1.0.2nb1.tgz
NetBSD 9.0earmv7hflibgii-1.0.2nb1.tgz
NetBSD 9.0earmv7hflibgii-1.0.2nb1.tgz
NetBSD 9.0earmv7hflibgii-1.0.2nb1.tgz
NetBSD 9.0i386libgii-1.0.2nb1.tgz
NetBSD 9.0i386libgii-1.0.2nb1.tgz
NetBSD 9.0m68klibgii-1.0.2nb1.tgz
NetBSD 9.0mips64eblibgii-1.0.2nb1.tgz
NetBSD 9.0mips64eblibgii-1.0.2nb1.tgz
NetBSD 9.0mips64eblibgii-1.0.2nb1.tgz
NetBSD 9.0mipsellibgii-1.0.2nb1.tgz
NetBSD 9.0mipsellibgii-1.0.2nb1.tgz
NetBSD 9.0powerpclibgii-1.0.2nb1.tgz
NetBSD 9.0powerpclibgii-1.0.2nb1.tgz
NetBSD 9.0sh3ellibgii-1.0.2nb1.tgz
NetBSD 9.0sh3ellibgii-1.0.2nb1.tgz
NetBSD 9.0sparc64libgii-1.0.2nb1.tgz
NetBSD 9.0sparc64libgii-1.0.2nb1.tgz
NetBSD 9.0sparc64libgii-1.0.2nb1.tgz
NetBSD 9.0sparc64libgii-1.0.2nb1.tgz
NetBSD 9.0sparclibgii-1.0.2nb1.tgz
NetBSD 9.0sparclibgii-1.0.2nb1.tgz
NetBSD 9.0sparclibgii-1.0.2nb1.tgz
NetBSD 9.0vaxlibgii-1.0.2nb1.tgz
NetBSD 9.0vaxlibgii-1.0.2nb1.tgz
NetBSD 9.0x86_64libgii-1.0.2nb1.tgz
NetBSD 9.0x86_64libgii-1.0.2nb1.tgz
NetBSD 9.0x86_64libgii-1.0.2nb1.tgz
NetBSD 9.0x86_64libgii-1.0.2nb1.tgz
NetBSD 9.0x86_64libgii-1.0.2nb1.tgz
NetBSD 9.0x86_64libgii-1.0.2nb1.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.